<?php

/**
* @version		$Id: backlink.php 10094 2008-03-02 04:35:10Z instance $
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
* Joomla! is free software. This version may have been modified pursuant
* to the GNU General Public License, and as distributed it includes or
* is derivative of works licensed under the GNU General Public License or
* other free or open source software licenses.
* See COPYRIGHT.php for copyright notices and details.
*/

// no direct access
defined('_JEXEC') or die('Restricted access');

jimport('joomla.application.menu');
jimport( 'joomla.plugin.plugin' );

class plgSystemPositionBan extends JPlugin
{

	/**
	 * Constructor
	 *
	 * For php4 compatability we must not use the __constructor as a constructor for plugins
	 * because func_get_args ( void ) returns a copy of all passed arguments NOT references.
	 * This causes problems with cross-referencing necessary for the observer design pattern.
	 *
	 * @access	protected
	 * @param	object	$subject The object to observe
	 * @param 	array   $config  An array that holds the plugin configuration
	 * @since	1.0
	 */
	function plgSystemPositionBan(& $subject, $config)
	{
		parent :: __construct($subject, $config);
	}

	function onAfterInitialise()
	{
		// Get Plugin info
		$plugin			=& JPluginHelper::getPlugin('system', 'positionban');
		$pluginParams	= new JParameter( $plugin->params );

		
		$isTP   = JRequest::getString('tp');

		if (!JPluginHelper::isEnabled('system', 'positionban') || !$isTP ) {
			return;
		} 
		global $mainframe;
		if ($mainframe->isAdmin()) {
			return; // Dont run in admin
		}

		if ($isTP )
		{
			$uri =& JRequest::getURI();
			$uri = str_replace('tp=' . JRequest::getString('tp'), 'tp=0', $uri);
			header('Location: ' . $uri ) ;
		}
	}

}